﻿using UnityEngine;
using System.Collections;
using System;

public class spheresound5 : MonoBehaviour {
	int objno = 0;
	rtcmixmain RTcmix;
    private bool did_start = false;

	public TextAsset grantextfile;
	float hifreqval, lowfreqval;
	String granscore, granscore2;

    private void Awake()
    {
        RTcmix = GameObject.Find("RTcmixmain").GetComponent<rtcmixmain>();
    }

    // Use this for initialization
    void Start () {
		RTcmix.initRTcmix (objno);

		granscore = grantextfile.text;
		// set default values for "hifreqval" and "lowfreqval"
		hifreqval = 900.0f;
		lowfreqval = 500.0f;
		granscore2 = RTcmix.setscorevalsRTcmix (granscore, hifreqval, lowfreqval);
		RTcmix.SendScore (granscore2, objno);

        did_start = true;
	}

	// Update is called once per frame
	void Update () {
        if (!did_start) return;

		if (Input.GetKey (KeyCode.UpArrow)) {
			hifreqval = hifreqval + 10.0f;
		}
		if (Input.GetKey (KeyCode.DownArrow)) {
			hifreqval = hifreqval - 10.0f;
		}
		if (Input.GetKey (KeyCode.RightArrow)) {
			lowfreqval = lowfreqval + 10.0f;
		}
		if (Input.GetKey (KeyCode.LeftArrow)) {
			lowfreqval = lowfreqval - 10.0f;
		}
	}

	void OnAudioFilterRead(float[] data, int channels) {
        if (!did_start) return;

        RTcmix.runRTcmix (data, objno, 0);

		if (RTcmix.checkbangRTcmix (objno) == 1) {
			granscore2 = RTcmix.setscorevalsRTcmix (granscore, hifreqval, lowfreqval);
			RTcmix.SendScore (granscore2, objno);
		}
	}

	void OnApplicationQuit() {
        RTcmix = null;
        did_start = false;
	}
}
